Bug 2044201 - Templates golden image parameters names should be supported
Summary: Templates golden image parameters names should be supported
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.10
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.10.0
Assignee: Ugo Palatucci
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On: 2049043
Blocks: 2033240
TreeView+ depends on / blocked
 
Reported: 2022-01-24 08:11 UTC by Ruth Netser
Modified: 2022-03-10 16:42 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-10 16:41:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 10912 0 None Merged Bug 2044201: Support for DATA_SOURCE_NAME and DATA_SOURCE_NAMESPACE 2022-01-28 16:11:35 UTC
Github openshift console pull 10924 0 None Merged Bug 2044201: Support for DATA_SOURCE_NAME and DATA_SOURCE_NAMESPACE fix 2022-01-28 16:11:34 UTC
Red Hat Product Errata RHSA-2022:0056 0 None None None 2022-03-10 16:42:03 UTC

Description Ruth Netser 2022-01-24 08:11:44 UTC
Description of problem:
SRC_PVC_NAME and SRC_PVC_NAMESPACE should be renamed to DATA_SOURCE_NAME and DATA_SOURCE_NAMESPACE in the templates.

The UI should support both.

Version-Release number of selected component (if applicable):
CNV 4.10.0

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Dominik Holler 2022-01-24 08:13:41 UTC
The verification of the bug should contain that old customized templates are still working with the nice UI.

Comment 2 Yaacov Zamir 2022-01-24 21:37:49 UTC
Ruth hi, please review my verification notes:

Note to verification:
create 4 identical custom templates based on a common template

1 - using SRC_PVC_NAME and SRC_PVC_NAMESPACE notation with PVC available in images namespace
2 - using SRC_PVC_NAME and SRC_PVC_NAMESPACE notation with PVC not available in images namespace
1 - using DATA_SOURCE_NAME and DATA_SOURCE_NAMESPACE notation with PVC available in images namespace
2 - using DATA_SOURCE_NAME and DATA_SOURCE_NAMESPACE notation with PVC not available in images namespace

test that the ones using SRC_PVC_NAME and SRC_PVC_NAMESPACE notation behave the same as the ones using DATA_SOURCE_NAME and DATA_SOURCE_NAMESPACE notation

-----------
example of DATA_SOURCE_NAME and DATA_SOURCE_NAMESPACE notation

source:
  pvc:
    name: '${DATA_SOURCE_NAME}'
    namespace: '${DATA_SOURCE_NAMESPACE}'
...
parameters:
  - name: DATA_SOURCE_NAME
    description: Name of the PVC to clone
    value: rhel8
  - name: DATA_SOURCE_NAMESPACE
    description: Namespace of the source PVC
    value: kubevirt-os-images

example of SRC_PVC_NAME and SRC_PVC_NAMESPACE notation

source:
  pvc:
    name: '${SRC_PVC_NAME}'
    namespace: '${SRC_PVC_NAMESPACE}'
...
parameters:
  - name: SRC_PVC_NAME
    description: Name of the PVC to clone
    value: rhel8
  - name: SRC_PVC_NAMESPACE
    description: Namespace of the source PVC
    value: kubevirt-os-images

Comment 6 Guohua Ouyang 2022-01-27 09:43:19 UTC
Hi Ruth,
You set the UI blocks the SSP bug 2033240, but shouldn't the UI bug depend on the SSP bug?
Without SSP fix, we cannot verify the bug on UI.

Comment 7 Dominik Holler 2022-01-27 10:36:40 UTC
Hi Guohua,
we just delayed the backend change until the ui change is available to ensure the beackend change does not break the UI.
Can you confirm that the fix for this bug is available to CNV-QE?
If so, we would merge and release the backend change instantly.

Comment 9 Dominik Holler 2022-01-31 10:09:30 UTC
The verification is to ensure that the wizard is not broken by the fix of bug #2033240 .
Proposed steps to verify:
1. Verify bug #2033240, by ensuring in the yaml view that the templates contains DATA_SOURCE_NAME and DATA_SOURCE_NAMESPACE parameters, but not SRC_PVC_NAME and SRC_PVC_NAMESPACE.
2. Ensure that you can change the boot source in the wizard for the templates above.
3. Ensure that you can create a VM from the templates above using the wizard.

@akrejcir@redhat.com Do you agree, or do you propose another flow to verify?

Comment 10 Andrej Krejcir 2022-01-31 10:22:29 UTC
Yes, I agree with the steps.

Comment 12 Guohua Ouyang 2022-02-07 01:40:10 UTC
verified on 4.10.0-0.nightly-2022-02-06-060618, the template with new parameters works well.

Comment 14 errata-xmlrpc 2022-03-10 16:41:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.10.3 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:0056


Note You need to log in before you can comment on or make changes to this bug.